[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#502823: iodine: piuparts test fails: /var/lib/dpkg/info/iodine.postinst: line 27: ./MAKEDEV: No such file or directory



On Mon, 20 Oct 2008 07:28:07 +0200, Lucas Nussbaum wrote:

> During tests using piuparts of all packages in lenny,
> I ran into the following problem:

Thanks for your tests and the bug report!
 
> >   Setting up udev (0.125-7) ...
> >   unable to open device '/class/net/*'
> >   A chroot environment has been detected, udev not started.
[..]
> >   /var/lib/dpkg/info/iodine.postinst: line 27: ./MAKEDEV: No such file or directory
> >   dpkg: error processing iodine (--configure):
> >    subprocess post-installation script returned error exit status 1
> >   Errors were encountered while processing:
> >    iodine
> >   E: Sub-process /usr/bin/dpkg returned an error code (1)

Ah, fun with udev in a chroot.
But unconditionally calling MAKEDEV in postinst is of course no good
idea ...

After looking at some other .postinst files I have prepared the
following patch now:

#v+

Index: debian/postinst
===================================================================
--- debian/postinst	(revision 1469)
+++ debian/postinst	(working copy)
@@ -23,8 +23,11 @@
 case "$1" in
     configure)
         # we need a tun device
-        echo "Creating device /dev/net/tun ..."
-        cd /dev && ./MAKEDEV tun
+        if [ ! -c /dev/net/tun ] && [ -x /dev/MAKEDEV ] ; then
+            echo "Creating device /dev/net/tun ..."
+            cd /dev
+            ./MAKEDEV tun || true
+        fi
         # and we want a special user
         adduser --quiet --system --home /var/run/iodine iodine
         # generate /etc/default/iodine


#v-

piuparts now succeeds -- at least regarding to iodine, it is not very
happy about purging udev:

1m5.3s ERROR: Package purging left files on system:
  /lib/libvolume_id.so.0         owned by: libvolume-id0
  /usr/share/doc/libvolume-id0   owned by: libvolume-id0

1m5.3s ERROR: After purging files have disappeared:
  /etc/udev      owned by: util-linux, udev
  /etc/udev/rules.d      owned by: util-linux, udev

1m5.3s ERROR: FAIL: Installation and purging test.

But I guess there's not much I can do about it, right?


Any comments on the patch?


And a question to the release team:
The postinst and the bug are the same for 0.4.2-1 in sid and 0.4.1-4
in lenny; do you prefer to unblock the version in sid or should a
prepare a 0.4.1-4lenny1 version with distribution "testing", too?


Cheers,
gregor
 
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Peter Ratzenbeck: As I Roved Out

Attachment: signature.asc
Description: Digital signature


Reply to: